Deposit paper trading

POST https://api.cryptohopper.com/v1/hopper/{id}/papertrading/deposit

Adds funds of one currency to the paper trading account of the hopper and refreshes its balances.

Only for hoppers with paper trading enabled.

Example request

curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/papertrading/deposit" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"coin":"USDT","amount":1000}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Request body

JSON, model PapertradingPost

FieldTypeRequiredDescription
coinstringRequired
amountnumberRequiredMinimum 0.

Response

Example response (illustrative values)

{
    "data": "1000 USDT successfully deposited to account."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.